> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sacul.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Object

> Remove a file from a bucket.

Delete a specific file from a bucket.

## Authentication

Requires an API Key via `Authorization`, `X-API-Key`, or `apiKey` query parameter.

## Query Parameters

<ParamField path="bucketName" type="string" required>
  The name of the bucket containing the file.
</ParamField>

<ParamField path="*path" type="string" required>
  The full path to the file to be deleted.
</ParamField>

## Response

```json theme={null}
{ 
    "success": true, 
    "message": "Deleted bucket/key" 
}
```

## Example

```bash theme={null}
curl -X DELETE https://cdn.sacul.cloud/my-bucket/old-file.png \
    -H "Authorization: Bearer <your-api-key>"
```
